Create Connection

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
POST /connections

Create a Connection. Supported types (see request examples): Email (smtp), iForm (iform_oauth2), SQL Server (db), Zoho (zoho) and WebMerge (webmerge).

application/json

Body

  • connectionName string

    Name of the connection

  • description string

    Description of the connection

  • type string

    Connection Type (smtp, iform_oauth2, db, zoho, webmerge)

  • config object

    Configuration based on connection type (see request examples)

  • createdBy string

    Created by user

  • createdById string

    Created by user id

  • trustedEntities array

    Trusted Entities array

  • owningEntity string

    Owner of the connection

Responses

  • 200 application/json

    Successful response

    Hide response attribute Show response attribute object
    • _id string

      the delete Connection Id

POST /connections
curl \
 --request POST 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/connections' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "connectionName": "SendGrid",
  "description": "SendGrid Email",
  "type": "smtp",
  "config": {
    "smtpHost": "xxxxxxxx",
    "smtpPort": "465",
    "smtpSecure": true,
    "smtpPassword": "xxxxxxxx",
    "smtpUsername": "xxxxxxxx",
    "subdomain": ""
  },
  "createdBy": "user_5000",
  "owningEntity": "user_5000",
  "trustedEntities": [
    {
      "entity": "tpham"
    }
  ]
}'
Request examples
{
  "connectionName": "SendGrid",
  "description": "SendGrid Email",
  "type": "smtp",
  "config": {
    "smtpHost": "xxxxxxxx",
    "smtpPort": "465",
    "smtpSecure": true,
    "smtpPassword": "xxxxxxxx",
    "smtpUsername": "xxxxxxxx",
    "subdomain": ""
  },
  "createdBy": "user_5000",
  "owningEntity": "user_5000",
  "trustedEntities": [
    {
      "entity": "tpham"
    }
  ]
}
{
  "connectionName": "iform_oauth2_good2",
  "description": "test",
  "type": "iform_oauth2",
  "config": {
    "subdomain": "app",
    "oauthServer": "https://app.iformbuilder.com",
    "requestedUrl": "https://qa.gnosiz.com:443/connections",
    "refreshToken": "xxxxxxxx",
    "accessToken": "xxxxxxxx"
  },
  "createdBy": "user_5000",
  "createdById": "56840873033f978a5c02a041",
  "trustedEntities": [],
  "owningEntity": "user_5000"
}
{
  "connectionName": "sql server me",
  "description": "sdf",
  "type": "db",
  "config": {
    "sqlServerHost": "xxxxxxxxxxxxxxx",
    "sqlServerPort": "1433",
    "sqlServerUsername": "xxxxxx",
    "sqlServerPassword": "xxxxxx",
    "sqlServerDb": "xxxxxxx",
    "sqlServerSchema": "xxxxxxx"
  },
  "createdBy": "user_5000",
  "createdById": "56840873033f978a5c02a041",
  "trustedEntities": [],
  "owningEntity": "user_5000"
}
{
  "connectionName": "zoho_connection",
  "description": "test",
  "type": "zoho",
  "config": {
    "oauthToken": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    "zohoReportURL": "https://xxxxxxxx.zoho.com",
    "zohoEmail": "xxxxx",
    "zohoDb": "CRSGnozisDemo"
  },
  "createdBy": "demo_5000",
  "createdById": "56840873033f978a5c02a041",
  "trustedEntities": [],
  "owningEntity": "user_5000"
}
{
  "connectionName": "webmerge_connection",
  "description": "test",
  "type": "webmerge",
  "config": {
    "webmergeApiKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
    "webmergeApiSecret": "xxxxxxxxxxxxxxx"
  }
}
Response examples (200)
{
  "_id": "574bcd24d96535adaf730a63"
}